Skip to main content
POST
/
v2
/
insights
/
routings
/
form-response-headers
Get routing form response headers
curl --request POST \
  --url https://api.cal.com/v2/insights/routings/form-response-headers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": "user",
  "selectedTeamId": 12,
  "routingFormId": "form_123"
}
'
{
  "status": "success",
  "data": [
    {
      "id": "field_1",
      "label": "Company size",
      "type": "select",
      "options": [
        {
          "id": "option_1",
          "label": "Enterprise"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
scope
enum<string>
required
Available options:
user,
team,
org
Example:

"user"

selectedTeamId
number

Team ID for team-scoped routing insights

Example:

12

routingFormId
string

Routing form ID to filter fields

Example:

"form_123"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required